package com.fxy.utils;

import android.app.Activity;

/**
 * 封装常用方法
 */
public class ToolUtils {

    /**
     * 获取dp对应值
     * @param  dpValue int 需要转换的值
     * @param density float 比例
     * @return int
     */
    public static int getDpValue(int dpValue,float density){
        return Math.round((float)dpValue * density);
    }

    /**
     *
     * @param dpValue int 需要转换的值
     * @param activity Activity 当前活动页
     * @return
     */
    public static int getDpValue(int dpValue,Activity activity){
        return Math.round((float)dpValue * getDensity(activity));
    }

    /**
     * 获取设备密度
     * @param activity Activity 当前活动页
     * @return float
     */
    public static float getDensity(Activity activity){
        return activity.getResources().getDisplayMetrics().density;
    }
}
